package com.zcloud.modules.map.service;


import com.zcloud.common.utils.R;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.CommandLineRunner;
import org.springframework.data.redis.core.StringRedisTemplate;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;
import java.util.Map;

/**
 * 说明：用户服务接口实现类
 * 作者：luoxiaobao
 * 官网：www.qdkjchina.com
 */
public interface UsersPositionService{


    R findRedisAll();

    R getPersonnelTrack(Map<String, Object> paramMap);

    R getFenceList();

    R getAlarmCount();

    R getAlarmList();
}

